// SMOKEY SHADERS
// VERSION 1.2
// See smoke.txt for details on how to build
// If you cannot find this file, download the
// full smokepak from freebrief.tripod.com/q3a/mappaks.htm
//
// Shader by IMOIS
//
// IMOIS: i_m_o_i_s@hotmail.com
// Freebrief Center: freebrief.tripod.com
//
//
//
//
//
//
// RENAME THE SHADERS IF YOU DISTRIBUTE THEM IN YOUR OWN PK3 !!!
// THIS WILL HELP TO PREVENT FILES OVERWRITING EACH OTHER
// EXAMPLE: 
//          textures/imois_smoke/puff1 to
//          textures/myname/puff1
//
// ALSO RENAME PUFFEFFECT.TGA AND PUFFEDITOR.TGA
//


textures/imois_smoke/puff1
{
	surfaceparm noimpact
	surfaceparm nolightmap
	deformvertexes autosprite
	deformvertexes move 0 0 900 Sawtooth 0 1 0.0 0.8
	deformvertexes move 0 20 0 sin 0 1 0.0 0.01
	qer_editorimage textures/imois_smoke/puffeditor.tga
	cull none	
	{
		clampmap textures/imois_smoke/puffeffect.tga
		tcMod rotate 360
	        tcMod stretch Sawtooth        0.1 1.0 0.0 0.8
		AlphaGen wave Inversesawtooth 0.0 1.0 0.0 0.8
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/imois_smoke/puff2
{
	surfaceparm noimpact
	surfaceparm nolightmap
	deformvertexes autosprite
	deformvertexes move 0 0 900 Sawtooth 0 1 0.1 0.8
	deformvertexes move 0 20 0 sin 0 1 0.5 0.01
	qer_editorimage textures/imois_smoke/puffeditor.tga
	cull none
	{
		clampmap textures/imois_smoke/puffeffect.tga
		tcMod rotate 350
	        tcMod stretch Sawtooth        0.1 1.0 0.1 0.8
		AlphaGen wave Inversesawtooth 0.0 1.0 0.1 0.8
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
	}
}

textures/imois_smoke/puff3
{
	surfaceparm noimpact
	surfaceparm nolightmap	
	deformvertexes autosprite
	deformvertexes move 0 0 900 Sawtooth 0 1 0.2 0.8
	deformvertexes move 0 20 0 sin 0 1 0.2 0.01
	qer_editorimage textures/imois_smoke/puffeditor.tga
	cull none
	{
		clampmap textures/imois_smoke/puffeffect.tga
		tcMod rotate 370
	        tcMod stretch Sawtooth 	      0.1 1.0 0.2 0.8
		AlphaGen wave Inversesawtooth 0.0 1.0 0.2 0.8
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
	}
}

textures/imois_smoke/puff4
{
	surfaceparm noimpact
	surfaceparm nolightmap	
	deformvertexes autosprite
	deformvertexes move 0 0 900 Sawtooth 0 1 0.3 0.8
	deformvertexes move 0 20 0 sin 0 1 0.7 0.01
	qer_editorimage textures/imois_smoke/puffeditor.tga
	cull none
	{
		clampmap textures/imois_smoke/puffeffect.tga
		tcMod rotate 380
	        tcMod stretch Sawtooth        0.1 1.0 0.3 0.8
		AlphaGen wave Inversesawtooth 0.0 1.0 0.3 0.8
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
	}
}
textures/imois_smoke/puff5
{
	surfaceparm noimpact
	surfaceparm nolightmap	
	deformvertexes autosprite
	deformvertexes move 0 0 900 Sawtooth 0 1 0.4 0.8
	deformvertexes move 0 20 0 sin 0 1 0.1 0.01
	qer_editorimage textures/imois_smoke/puffeditor.tga
	cull none
	{
		tcMod rotate 390
		clampmap textures/imois_smoke/puffeffect.tga
	        tcMod stretch Sawtooth        0.1 1.0 0.4 0.8
		AlphaGen wave Inversesawtooth 0.0 1.0 0.4 0.8
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
	}
}
textures/imois_smoke/puff6
{
	surfaceparm noimpact
	surfaceparm nolightmap	
	deformvertexes autosprite
	deformvertexes move 0 0 900 Sawtooth 0 1 0.5 0.8
	deformvertexes move 0 20 0 sin 0 1 0.2 0.01
	qer_editorimage textures/imois_smoke/puffeditor.tga
	cull none
	{
		clampmap textures/imois_smoke/puffeffect.tga
		tcMod rotate 400
	        tcMod stretch Sawtooth        0.1 1.0 0.5 0.8
		AlphaGen wave Inversesawtooth 0.0 1.0 0.5 0.8
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
	}
}
textures/imois_smoke/puff7
{
	surfaceparm noimpact
	surfaceparm nolightmap	
	deformvertexes autosprite
	deformvertexes move 0 0 900 Sawtooth 0 1 0.6 0.8
	deformvertexes move 0 20 0 sin 0 1 0.3 0.01
	qer_editorimage textures/imois_smoke/puffeditor.tga
	cull none
	{
		clampmap textures/imois_smoke/puffeffect.tga
		tcMod rotate 375
	        tcMod stretch Sawtooth        0.1 1.0 0.6 0.8
		AlphaGen wave Inversesawtooth 0.0 1.0 0.6 0.8
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
	}
}
textures/imois_smoke/puff8
{
	surfaceparm noimpact
	surfaceparm nolightmap	
	deformvertexes autosprite
	deformvertexes move 0 0 900 Sawtooth 0 1 0.7 0.8
	deformvertexes move 0 20 0 sin 0 1 0.9 0.01
	qer_editorimage textures/imois_smoke/puffeditor.tga
	cull none
	{
		clampmap textures/imois_smoke/puffeffect.tga
		tcMod rotate 355
	        tcMod stretch Sawtooth        0.1 1.0 0.7 0.8
		AlphaGen wave Inversesawtooth 0.0 1.0 0.7 0.8
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
	}
}

textures/imois_smoke/puff9
{
	surfaceparm noimpact
	surfaceparm nolightmap	
	deformvertexes autosprite
	deformvertexes move 0 0 900 Sawtooth 0 1 0.8 0.8
	deformvertexes move 0 20 0 sin 0 1 0.2 0.01
	qer_editorimage textures/imois_smoke/puffeditor.tga
	cull none
	{
		clampmap textures/imois_smoke/puffeffect.tga
		tcMod rotate 330
	        tcMod stretch Sawtooth        0.1 1.0 0.8 0.8
		AlphaGen wave Inversesawtooth 0.0 1.0 0.8 0.8
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
	}
}

textures/imois_smoke/puff10
{
	surfaceparm noimpact
	surfaceparm nolightmap	
	deformvertexes autosprite
	deformvertexes move 0 0 900 Sawtooth 0 1 0.9 0.8
	deformvertexes move 0 20 0 sin 0 1 0.5 0.01
	qer_editorimage textures/imois_smoke/puffeditor.tga
	cull none
	{
		clampmap textures/imois_smoke/puffeffect.tga
		tcMod rotate 345
	        tcMod stretch Sawtooth        0.1 1.0 0.9 0.8
		AlphaGen wave Inversesawtooth 0.0 1.0 0.9 0.8
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
	}
}